# SPDX-FileCopyrightText: None
# SPDX-License-Identifier: CC0-1.0

Dependencies:
- 'on': ['@all']
  'require':
    'frameworks/extra-cmake-modules': '@latest-kf6'
    'frameworks/kcodecs': '@latest-kf6'
    'frameworks/kconfig': '@latest-kf6'
    'frameworks/kcolorscheme': '@latest-kf6'
    'frameworks/kcoreaddons': '@latest-kf6'
    'frameworks/kguiaddons': '@latest-kf6'
    'frameworks/kirigami': '@latest-kf6'
    'frameworks/kquickcharts': '@latest-kf6'
    'frameworks/kiconthemes': '@latest-kf6'

Options:
  require-passing-tests-on: [ 'Linux', 'FreeBSD']
